=== debian/changelog ===
soapyplutosdr (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #1109151)

 -- Andreas Bombe <aeb@debian.org>  Sat, 12 Jul 2025 23:45:07 +0200
