=== debian/control ===
Source: soapyplutosdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libiio-dev,
    libad9361-dev,
    libusb-1.0-0-dev,
    libsoapysdr0.8-dev
Standards-Version: 4.7.2
Homepage: https://github.com/pothosware/SoapyPlutoSDR/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyplutosdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyplutosdr.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-plutosdr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: Pluto SDR device support for SoapySDR
 The Soapy Pluto SDR project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Pluto SDR devices.

Package: soapysdr-module-plutosdr
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-plutosdr, ${misc:Depends}
Description: Pluto SDR device support for SoapySDR (default version)
 The Soapy Pluto SDR project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Pluto SDR devices.
 .
 This is an empty dependency package that pulls in the Pluto SDR module
 for the default version of libsoapysdr.
