=== debian/watch ===
version=4
https://github.com/pothosware/SoapyPlutoSDR/tags .*/soapy-plutosdr-([\d\.]+)\.tar\.(?:xz|gz|bz2)
